Home

# Class goog.ui.MenuBase

The MenuBase class provides an abstract base class for different implementations of menu controls.

extends goog.ui.Popup

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getSelectedItem() ⇒ ?Object` Returns the selected item
| `onHide_(?Object= opt_target)` Called after the menu is hidden. Derived classes can override to hook this event but should make sure to call the parent class method.
| `onKeyDown(?goog.events.KeyEvent e)` Key down handler for the menu. Derived classes should override.
| `onMouseDown(?goog.events.Event e)` Mouse down handler for the menu. Derived classes should override.
| `onMouseOut(?goog.events.Event e)` Mouse out handler for the menu. Derived classes should override.
| `onMouseOver(?goog.events.Event e)` Mouse over handler for the menu. Derived classes should override.
| `onMouseUp(?goog.events.Event e)` Mouse up handler for the menu. Derived classes should override.
| `onShow_()` Called after the menu is shown. Derived classes can override to hook this event but should make sure to call the parent class method.
| `setSelectedItem(?Object item)` Sets the selected item